libzypp 17.38.15

downloadwf.h File Reference
`#include <zypp-core/ng/async/task.h>`
`#include <zypp-core/ng/base/base.h>`
`#include <zypp-core/ng/pipelines/Expected>`
`#include <zypp-core/ManagedFile.h>`

Go to the source code of this file.

## Classes
class | zyppng::CacheProviderContext

## Namespaces
namespace | zyppng
namespace | zyppng::DownloadWorkflow

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Context)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Provide)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (CacheProviderContext)
MaybeAwaitable< expected< zypp::ManagedFile > > | zyppng::DownloadWorkflow::provideToCacheDir (CacheProviderContextRef cacheContext, ProvideMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)